curl --request POST \
--url https://api.example.com/v1/fetcher \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataRequest": {
"mappedFields": {
"ledger": {
"transactions": [
"id",
"amount"
]
}
}
},
"metadata": {
"correlationId": "settlement-2026-07-13",
"source": "payments"
}
}
'import requests
url = "https://api.example.com/v1/fetcher"
payload = {
"dataRequest": { "mappedFields": { "ledger": { "transactions": ["id", "amount"] } } },
"metadata": {
"correlationId": "settlement-2026-07-13",
"source": "payments"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataRequest: {mappedFields: {ledger: {transactions: ['id', 'amount']}}},
metadata: {correlationId: 'settlement-2026-07-13', source: 'payments'}
})
};
fetch('https://api.example.com/v1/fetcher', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-07-13T12:00:00Z",
"jobId": "01980a89-21f0-7d7e-a109-564b5c6f53ac",
"message": "Job creado y puesto en cola para su procesamiento",
"status": "pending"
}{
"createdAt": "2026-07-13T12:00:00Z",
"jobId": "01980a89-21f0-7d7e-a109-564b5c6f53ac",
"message": "Job creado y puesto en cola para su procesamiento",
"status": "pending"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "La propiedad foo es obligatoria, pero no está presente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Solicitud incorrecta",
"type": "https://example.com/errors/example"
}Crear un job de extracción de datos
Crea y pone en cola un job de extracción de datos, o devuelve el job de extracción existente si la solicitud duplicada es idempotente.
Autorizaciones
Token JWT de tipo bearer emitido por el proveedor de identidad.
Cuerpo
Cuerpo de la solicitud de Fetcher.
Campos y filtros que se extraerán de las fuentes de datos configuradas.
Show child attributes
Show child attributes
{
"mappedFields": {
"ledger": { "transactions": ["id", "amount"] }
}
}
Metadatos definidos por quien realiza la llamada y almacenados con el job de extracción; source identifica el producto propietario.
Show child attributes
Show child attributes
{
"correlationId": "settlement-2026-07-13",
"source": "payments"
}
Respuesta
Solicitud duplicada; se devuelve el job de extracción existente.
Fecha y hora UTC de creación del job de extracción.
"2026-07-13T12:00:00Z"
Identificador único del job de extracción.
"01980a89-21f0-7d7e-a109-564b5c6f53ac"
Resultado de la solicitud de creación.
"Job creado y puesto en cola para su procesamiento"
Estado actual de procesamiento del job de extracción.
"pending"
¿Esta página le ayudó?

